#pragma once
/*
Код стыренный из BKBTL. Потому что лень самому изобретать.
*/

#define IMAGE_PATH _T("ImagesPath")
#define STORE_PATH _T("StoresPath")
#define LOAD_PATH _T("LoadPath")

class CSettings
{
		HKEY m_Settings_RegKey;
		CString m_Settings_RegKeyName;

	public:
		CSettings(void);
		~CSettings(void);
		void Settings_Init();
		void Settings_Done();
		BOOL Settings_SaveStringValue(LPCTSTR sName, LPCTSTR sValue);
		BOOL Settings_LoadStringValue(LPCTSTR sName, LPTSTR sBuffer, int nBufferLengthChars);
};


